# Use --define 'noxlc 1' on the command line to use gcc
%{!?noxlc:%define XLC 1}
%{?noxlc:%define XLC 0}

Name: kdeedu
Summary: K Desktop Environment - Educational Applications
Prefix: %{_prefix}/kde
Version: 3.0
Release: 1
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-kde-common.patch
Patch1: %{name}-%{version}-xlc.patch
License: GPL
Group: Applications/Productivity
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: kdelibs
BuildPrereq: automake = 1.5, autoconf >= 2.5, kdelibs-devel

%description
Educational software for KDE.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
# Common patches.
%patch0 -p0 -b .aix
# Per-compiler patches.  These will break (or are untested) on the other.
%if %{XLC} == 1
%patch1 -p0 -b .xlc
%endif

%if %{XLC} == 0
  # Deoptimize.  Temporary until compiler is in better shape.
  for file in `find . -print | xargs grep -l '\-O2'`; do
    cp $file $file.withO2
    sed -e 's/\-O2/-O0/g' < $file.withO2 > $file
  done
%endif


%build
%{!?noxlc: export CC=xlc CXX=xlC}
export KDEDIR=%{prefix}
export QTDIR=%{_prefix}/qt
export CXXFLAGS="%{!?noxlc: -qrtti=all}" CFLAGS="%{!?noxlc: -Dinline=_Inline}"
./configure --prefix=%{prefix} --disable-debug %{?noxlc: --enable-final}
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Stripping decreases size a lot!
%if %{XLC} == 0
  /usr/bin/strip $RPM_BUILD_ROOT%{prefix}/bin/* || :
%endif

mkdir -p $RPM_BUILD_ROOT/usr
ln -sf ..%{prefix} $RPM_BUILD_ROOT/usr

cd $RPM_BUILD_ROOT
find .%{prefix} -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config |' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

echo "%docdir %{prefix}/share/doc" >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Apr  3 2002 Reza Arbab <arbab@austin.ibm.com>
- 3.0
- build with xlC
